Name:           pdfgrep
Version:        1.2
Release:        5%{?dist}
Summary:        Tool to search text in PDF files
Summary(de): Suchwerkzeug für Text in PDF-Dateien

Group:          Applications/Text
License:        GPLv2+
URL:            http://pdfgrep.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  fontconfig-devel poppler-devel

%description
Pdfgrep is a tool to search text in PDF files. It works similar to grep. 

Features:
* search for regular expressions.
* support for some important grep options, including: 
  * file name output.
  * page number output.
  * optional case insensitivity.
  *count occurrences.
* and the most important feature: color output!

%description -l de
Pdfgrep ist ein Werkzeug für die Textsuche in PDF-Dateien.
Seine Funktionsweise ähnelt der von grep. 

Funktionsmerkmale:
* Suchen nach regulären Ausdrücken.
* Unterstützung für wichtige grep-Optionen, wie: 
  * Ausgabe des Dateinamens.
  * Ausgabe der Seitennummer.
  * optionale Berücksichtigung von Groß-/Kleinschreibung.
  * Zählung der Suchergebnisse.
* und vielleicht am wichtigsten: farbige Ausgabe!


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/pdfgrep
%{_mandir}/man1/pdfgrep.1*

%doc AUTHORS COPYING NEWS README 

%changelog
* Mon Oct  3 2011 Marek Kasik <mkasik@redhat.com> - 1.2-5
- Rebuild (poppler-0.18.0 stable)

* Wed Sep 21 2011 Marek Kasik <mkasik@redhat.com> - 1.2-4
- Rebuild (poppler-0.17.3)

* Fri Jul 15 2011 Marek Kasik <mkasik@redhat.com> - 1.2-3
- Rebuild (poppler-0.17.0)

* Sat Mar 26 2011 Joachim de Groot <jdegroot@web.de> - 1.2-2
- Added german summary and description provided by Mario Blättermann

* Wed Mar 23 2011 Joachim de Groot <jdegroot@web.de> - 1.2-1
- Initial version of the package
